Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
General
cancel
Showing results for 
Search instead for 
Did you mean: 

libjave.sl error after upgrading to Oracle 8.1.7

Managed Services
Frequent Advisor

libjave.sl error after upgrading to Oracle 8.1.7

My system has been upgraded to Oracle 8.1.7. It is running on a HP-UX 11.00 O/S.
Although the Oracle does appear to be running ok i.e. sqlplus is able to access the data, the accounting application that I am running is falling over with the following message,
/usr/lib/dld.sl: cannot open shared library:
It then draws attention to the libjava.sl file and then outputs the following message,
/usr/lib/dld.sl: No such file or directory.
Any information would be appreciated!!
4 REPLIES
T G Manikandan
Honored Contributor

Re: libjave.sl error after upgrading to Oracle 8.1.7

Did you upgrade your OS?
Any OS patches installed?

Do you have the library path with the SHLIB_PATH variable.

If you had applied OS patches then you need to re-link the executables of Oracle.


Revert
Yogeeraj_1
Honored Contributor

Re: libjave.sl error after upgrading to Oracle 8.1.7

hi,

make sure your SHLIB_PATH includes the the path to the libjava.sl.

do a find to locate your libjava.sl.

hth
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Indira Aramandla
Honored Contributor

Re: libjave.sl error after upgrading to Oracle 8.1.7

Check hte Oracle 8.1.7 installation was successfull and no errors.

Check for the following
Do you have following file where you have installed java ?
/jre/lib/PA_RISC/classic/libjvm.sl

For /usr/ccs/bin/ld: Can't find library for -lclntsh error
try following steps.

% cd $ORACLE_HOME/network/lib
% make -f ins_net_client.mk mkldflags
% $ORACLE_HOME/bin/genclntsh
% make -f ins_net_client.mk install

Then you can try this.

add JAVA_HOME=/opt/java1.2
add /opt/java1.2/jre/lib/PA_RISC/classic to SHLIB_PATH env variable

If it does not work then
try with
JAVA_HOME=/opt/java1.3
&
add /opt/java1.3/jre/lib/PA_RISC/classic to SHLIB_PATH instead of
/opt/java1.2/jre/lib/PA_RISC/classic
Never give up, Keep Trying
Tim Sanko
Trusted Contributor

Re: libjave.sl error after upgrading to Oracle 8.1.7

There may at times be multiple copies of the Java base on the system. Make sure the first one in the path in the Oracle owner, and installer (oracle, and orainst in most cases) is the correct Jave. That will eliminate some of the hurt. If you are having a problem with the dld.sl it tends to be the SHLIB_PATH confriguration, or the permissions.